Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util
Class AttributesMap

    java.lang.Object
      org.eclipse.jetty.util.AttributesMap

All Implemented Interfaces:
  Attributes

    public class AttributesMap

extends java.lang.Object
implements Attributes

AttributesMap.

Field Summary
`protected java.util.Map<java.lang.String,java.lang.Object>` | `_map`

Constructor Summary
`AttributesMap()`
`AttributesMap(AttributesMap map)`
`AttributesMap(java.util.Map<java.lang.String,java.lang.Object> map)`

Method Summary
`void` | `addAll(Attributes attributes)`
`void` | `clearAttributes()`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration<java.lang.String>` | `getAttributeNames()`
`static java.util.Enumeration<java.lang.String>` | `getAttributeNamesCopy(Attributes attrs)`
`java.util.Set<java.lang.String>` | `getAttributeNameSet()`
`java.util.Set<java.lang.String>` | `keySet()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object attribute)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _map

    protected final java.util.Map<java.lang.String,java.lang.Object> _map

Constructor Detail

### AttributesMap

    public AttributesMap()

### AttributesMap

    public AttributesMap(java.util.Map<java.lang.String,java.lang.Object> map)

### AttributesMap

    public AttributesMap(AttributesMap map)

Method Detail

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `Attributes`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object attribute)

  Specified by:
    `setAttribute` in interface `Attributes`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `Attributes`

### getAttributeNames

    public java.util.Enumeration<java.lang.String> getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `Attributes`

### getAttributeNameSet

    public java.util.Set<java.lang.String> getAttributeNameSet()

### getAttributeNamesCopy

    public static java.util.Enumeration<java.lang.String> getAttributeNamesCopy(Attributes attrs)

### clearAttributes

    public void clearAttributes()

  Specified by:
    `clearAttributes` in interface `Attributes`

### size

    public int size()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### keySet

    public java.util.Set<java.lang.String> keySet()

### addAll

    public void addAll(Attributes attributes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.